#include <stdio.h>
#include <stdlib.h>

int main (void) {
  int value;
  fprintf(stdout, "%c %s 0x%08x %2$s %n\n", 'c', "AAAA", 9, &value);
  fprintf(stdout, "value = %d\n", value);
  return EXIT_SUCCESS;
}
